
(exit "$?") &&
if ( exec wget -V ) > /dev/null 2>&1; then
  prj_download() {
    : "${3?}" &&
    ( cd "$2" && rm -f "$3" && exec wget -nv "$1" )
  }
elif ( exec lynx -version ) > /dev/null 2>&1; then
  prj_download() {
    : "${3?}" &&
    ( cd "$2" && rm -f "$3" && exec lynx -source "$1" > "$3" )
  }
elif ( exec lftp --version ) > /dev/null 2>&1; then
  prj_download() {
    : "${3?}" &&
    ( cd "$2" && rm -f "$3" && exec lftp -c "get $1" )
  }
else
  prj_download() {
    echo "${prj_program-prj_download}: unable to find a download program" >&2
    return 100
  }
fi
